Home | History | Annotate | Download | only in cmockery_0_1_2

Lines Matching refs:echo

35 # Sed that helps us avoid accidentally triggering echo(1) options like -n.
77 # An echo program that does not interpret backslashes.
78 echo="echo"
215 archive_expsym_cmds="\$echo \\\"{ global:\\\" > \$output_objdir/\$libname.ver~
217 \$echo \\\"local: *; };\\\" >> \$output_objdir/\$libname.ver~
389 progname=`echo "$progpath" | $SED $basename`
407 # Check that we have a working $echo.
411 elif test "X$1" = X--fallback-echo; then
414 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
415 # Yippee, $echo works!
418 # Restart under the correct shell, and then maybe $echo will work.
422 if test "X$1" = X--fallback-echo; then
423 # used as fallback echo
443 case `echo X|tr X '\101'` in
473 $echo "$modename: not configured to build any kind of library" 1>&2
474 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
484 show="$echo"
524 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
529 $echo "X$my_tmpdir" | $Xsed
569 $echo $win32_libid_type
594 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
613 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
627 $echo "$modename: unable to infer tagged configuration"
628 $echo "$modename: specify a tag with \`--tag'" 1>&2
631 # $echo "$modename: using $tagname tagged configuration"
650 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
681 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
701 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
704 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
754 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
771 $echo "$progname: invalid tag name: $tagname" 1>&2
787 $echo "$progname: ignoring unknown tag $tagname" 1>&2
809 $echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
810 $echo
811 $echo "Copyright (C) 2005 Free Software Foundation, Inc."
812 $echo "This is free software; see the source for copying conditions. There is NO"
813 $echo "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
827 $echo "$progname: enabling shell trace mode"
837 $echo "host: $host"
839 $echo "enable shared libraries"
841 $echo "disable shared libraries"
844 $echo "enable static libraries"
846 $echo "disable static libraries"
881 $echo "$modename: unrecognized option \`$arg'" 1>&2
882 $echo "$help" 1>&2
894 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
895 $echo "$help" 1>&2
907 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
920 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
921 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
951 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
953 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
962 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
963 $echo "$help" 1>&2
1005 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
1028 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
1045 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
1064 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
1083 $echo "$modename: you must specify an argument for -Xcompile"
1087 $echo "$modename: you must specify a target with \`-o'" 1>&2
1092 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
1115 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
1118 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
1120 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
1146 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
1152 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
1153 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
1154 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
1155 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
1164 $echo "$modename: you must specify a compilation command" 1>&2
1165 $echo "$help" 1>&2
1193 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
1212 $echo "\
1226 $echo "$srcfile" > "$lockfile"
1232 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
1289 $echo "\
1361 $echo "\
1496 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1524 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1583 $echo "$modename: symbol file \`$arg' does not exist"
1635 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1640 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1693 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1699 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1706 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1707 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1714 $echo "$modename: link input file \`$save_arg' does not exist"
1726 $echo "$modename: only absolute run-paths are allowed" 1>&2
1800 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1826 $echo "$modename: more than one -exported-symbols argument is not allowed"
1867 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1874 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1890 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1982 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2009 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
2010 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
2051 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
2056 $echo "$modename: only absolute run-paths are allowed" 1>&2
2092 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
2106 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
2110 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
2125 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
2147 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2179 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
2184 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
2237 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
2243 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
2250 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
2251 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
2286 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2303 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
2304 $echo "$help" 1>&2
2316 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
2321 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2328 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2347 $echo "$modename: you must specify an output file" 1>&2
2348 $echo "$help" 1>&2
2410 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2463 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2466 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2510 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2535 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2548 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2551 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2558 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2581 if eval $echo \"$deplib\" 2>/dev/null \
2592 $echo
2593 $echo "*** Warning: Trying to link with static lib archive $deplib."
2594 $echo "*** I have the capability to make that library automatically link in when"
2595 $echo "*** you link to this library. But I can only do this if you have a"
2596 $echo "*** shared version of the library, which you do not appear to have"
2597 $echo "*** because the file extensions .$libext of this argument makes me believe"
2598 $echo "*** that it is just a static archive that I should not used here."
2600 $echo
2601 $echo "*** Warning: Linking the shared library $output against the"
2602 $echo "*** static library $deplib is not portable!"
2641 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2648 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2652 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2686 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2703 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2716 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2723 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2746 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2747 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2752 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2757 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2779 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2784 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2826 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2907 $echo
2909 $echo "*** Warning: Linking the executable $output against the loadable module"
2911 $echo "*** Warning: Linking the shared library $output against the loadable module"
2913 $echo "*** $linklib is not portable!"
2945 libname=`eval \\$echo \"$libname_spec\"`
2964 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
2965 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
3019 $echo "** Warning, lib $linklib is a module, not a shared library"
3021 $echo
3022 $echo "** And there doesn't seem to be a static archive available"
3023 $echo "** The link will probably fail, sorry"
3067 $echo "$modename: configuration error: unsupported hardcode properties"
3159 $echo
3160 $echo "*** Warning: This system can not link to static lib archive $lib."
3161 $echo "*** I have the capability to make that library automatically link in when"
3162 $echo "*** you link to this library. But I can only do this if you have a"
3163 $echo "*** shared version of the library, which you do not appear to have."
3165 $echo "*** But as you try to build a module library, libtool will still create "
3166 $echo "*** a static module, that should work as long as the dlopening application"
3167 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
3169 $echo
3170 $echo "*** However, this would only work if libtool was able to extract symbol"
3171 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3172 $echo "*** not find such a program. So, this module is probably useless."
3173 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3197 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
3229 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
3237 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
3247 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
3251 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
3285 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3415 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
3419 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3423 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3427 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3431 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3435 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3439 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3452 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3458 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3459 $echo "$help" 1>&2
3464 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3468 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3475 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3478 $echo
3479 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3480 $echo "*** objects $objs is not portable!"
3486 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3491 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3508 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3512 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3522 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3523 $echo "$help" 1>&2
3560 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3561 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3577 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3578 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3586 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3587 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3595 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3596 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3602 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3603 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3691 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3692 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3727 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3741 tempremovelist=`$echo "$output_objdir/*"`
3748 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3769 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3774 lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3775 deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3776 dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3894 libname=`eval \\$echo \"$libname_spec\"`
3895 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3902 $echo
3903 $echo "*** Warning: dynamic linker does not accept needed library $i."
3904 $echo "*** I have the capability to make that library automatically link in when"
3905 $echo "*** you link to this library. But I can only do this if you have a"
3906 $echo "*** shared version of the library, which I believe you do not have"
3907 $echo "*** because a test_compile did reveal that the linker did not use it for"
3908 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
3936 libname=`eval \\$echo \"$libname_spec\"`
3937 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3944 $echo
3945 $echo "*** Warning: dynamic linker does not accept needed library $i."
3946 $echo "*** I have the capability to make that library automatically link in when"
3947 $echo "*** you link to this library. But I can only do this if you have a"
3948 $echo "*** shared version of the library, which you do not appear to have"
3949 $echo "*** because a test_compile did reveal that the linker did not use this one"
3950 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
3955 $echo
3956 $echo "*** Warning! Library $i is needed by this library but I was not able to"
3957 $echo "*** make it link in! You will probably need to install it or some"
3958 $echo "*** library that it depends on before this library will be fully"
3959 $echo "*** functional. Installing it before continuing would be even better."
3983 libname=`eval \\$echo \"$libname_spec\"`
4002 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
4017 $echo
4018 $echo "*** Warning: linker path does not have real file for library $a_deplib."
4019 $echo "*** I have the capability to make that library automatically link in when"
4020 $echo "*** you link to this library. But I can only do this if you have a"
4021 $echo "*** shared version of the library, which you do not appear to have"
4022 $echo "*** because I did check the linker path looking for a file starting"
4024 $echo "*** with $libname but no candidates were found. (...for file magic test)"
4026 $echo "*** with $libname and none of the candidates passed a file format test"
4027 $echo "*** using a file magic. Last file checked: $potlib"
4052 libname=`eval \\$echo \"$libname_spec\"`
4057 if eval $echo \"$potent_lib\" 2>/dev/null \
4069 $echo
4070 $echo "*** Warning: linker path does not have real file for library $a_deplib."
4071 $echo "*** I have the capability to make that library automatically link in when"
4072 $echo "*** you link to this library. But I can only do this if you have a"
4073 $echo "*** shared version of the library, which you do not appear to have"
4074 $echo "*** because I did check the linker path looking for a file starting"
4076 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
4078 $echo "*** with $libname and none of the candidates passed a file format test"
4079 $echo "*** using a regex pattern. Last file checked: $potlib"
4090 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
4095 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
4098 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
4100 $echo
4102 $echo "*** Warning: inter-library dependencies are not supported in this platform."
4104 $echo "*** Warning: inter-library dependencies are not known to be supported."
4106 $echo "*** All declared inter-library dependencies are being dropped."
4120 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
4126 $echo
4127 $echo "*** Warning: libtool could not satisfy all declared inter-library"
4128 $echo "*** dependencies of module $libname. Therefore, libtool will create"
4129 $echo "*** a static module, that should work as long as the dlopening"
4130 $echo "*** application is linked with the -dlopen flag."
4132 $echo
4133 $echo "*** However, this would only work if libtool was able to extract symbol"
4134 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
4135 $echo "*** not find such a program. So, this module is probably useless."
4136 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
4146 $echo "*** The inter-library dependencies that have been dropped here will be"
4147 $echo "*** automatically added whenever a program is linked with this library"
4148 $echo "*** or is declared to -dlopen it."
4151 $echo
4152 $echo "*** Since this library must not contain undefined symbols,"
4153 $echo "*** because either the platform does not support them or"
4154 $echo "*** it was explicitly requested with -no-undefined,"
4155 $echo "*** libtool will only create a static version of it."
4289 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4327 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4389 $echo "creating reloadable object files..."
4403 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4464 $echo "creating a temporary reloadable object file: $output"
4554 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
4558 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4562 $echo
4566 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4570 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4574 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4580 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4584 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4618 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4649 # $show "echo timestamp > $libobj"
4650 # $run eval "echo timestamp > $libobj" || exit $?
4679 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4682 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4686 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4692 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4699 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4700 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4787 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4845 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4846 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4854 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4871 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4888 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4891 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4914 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4924 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4933 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
4934 $run eval '$echo ": $name " >> "$nlist"'
4963 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
4966 $echo >> "$output_objdir/$dlsyms" "\
4982 $echo >> "$output_objdir/$dlsyms" "\
4990 $echo >> "$output_objdir/$dlsyms" "\
4997 $echo >> "$output_objdir/$dlsyms" "\
5007 $echo >> "$output_objdir/$dlsyms" "\
5055 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
5056 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
5058 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
5059 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
5063 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
5064 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
5069 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
5079 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
5080 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
5085 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
5152 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
5166 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
5167 $echo "$modename: \`$output' will be relinked during installation" 1>&2
5172 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g'`
5184 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
5204 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5209 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
5212 # Quote $echo for shipping.
5213 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
5215 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
5216 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
5218 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
5220 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
5228 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
5234 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5599 $echo > $output "\
5627 # When we are sourced in execute mode, \$file and \$echo are already set.
5629 echo=\"$qecho\"
5631 # Make sure echo works.
5635 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5636 # Yippee, \$echo works!
5639 # Restart under the correct shell, and then maybe \$echo will work.
5644 $echo >> $output "\
5647 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5653 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5663 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5673 $echo >> $output "\
5689 $echo >> $output "\
5695 $echo \"\$relink_command_output\" >&2
5707 $echo >> $output "\
5713 $echo >> $output "\
5719 $echo >> $output "\
5725 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5733 $echo >> $output "\
5739 $echo >> $output "\
5746 $echo >> $output "\
5752 $echo >> $output "\
5757 $echo >> $output "\
5758 \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
5763 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5764 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5765 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5813 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5817 $echo "copying selected object files to avoid basename conflicts..."
5838 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5869 $echo "using piecewise archive linking..."
5938 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5944 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
5963 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
5966 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5977 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5980 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5988 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5991 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6023 $echo > $output "\
6060 $echo >> $output "\
6083 $echo "X$nonopt" | grep shtool > /dev/null; then
6085 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
6101 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
6152 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
6162 $echo "$modename: you must specify an install program" 1>&2
6163 $echo "$help" 1>&2
6168 $echo "$modename: the \`$prev' option requires an argument" 1>&2
6169 $echo "$help" 1>&2
6175 $echo "$modename: no file or destination specified" 1>&2
6177 $echo "$modename: you must specify a destination" 1>&2
6179 $echo "$help" 1>&2
6184 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
6192 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
6194 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
6199 $echo "$modename: \`$dest' is not a directory" 1>&2
6200 $echo "$help" 1>&2
6211 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
6212 $echo "$help" 1>&2
6240 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
6241 $echo "$help" 1>&2
6268 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
6274 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
6283 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
6289 relink_command=`$echo "$relink_command" | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
6291 relink_command=`$echo
6294 $echo "$modename: warning: relinking \`$file'" 1>&2
6298 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6358 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6374 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6381 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6388 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6389 $echo "$help" 1>&2
6403 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6416 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6427 file=`$echo $file|${SED} 's,.exe$,,'`
6436 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6459 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6474 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6476 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6497 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6500 relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
6505 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6511 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6515 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6531 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6544 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6570 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6620 $echo "X----------------------------------------------------------------------" | $Xsed
6621 $echo "Libraries have been installed in:"
6623 $echo " $libdir"
6625 $echo
6626 $echo "If you ever happen to want to link against installed libraries"
6627 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6628 $echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
6629 $echo "flag during linking and do at least one of the following:"
6631 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6632 $echo " during execution"
6635 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6636 $echo " during linking"
6642 $echo " - use the \`$flag' linker flag"
6645 $echo " - have your system administrator run these commands:$admincmds"
6648 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6650 $echo
6651 $echo "See any operating system documentation about shared libraries for"
6652 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6653 $echo "X----------------------------------------------------------------------" | $Xsed
6664 $echo "$modename: you must specify a COMMAND" 1>&2
6665 $echo "$help"
6672 $echo "$modename: \`$file' is not a file" 1>&2
6673 $echo "$help" 1>&2
6683 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6684 $echo "$help" 1>&2
6701 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6705 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6711 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6718 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6723 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6765 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6788 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6789 $echo "export $shlibpath_var"
6791 $echo "$cmd$args"
6818 $echo "$modename: you must specify an RM program" 1>&2
6819 $echo "$help" 1>&2
6827 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6834 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6944 file=`$echo $file|${SED} 's,.exe$,,'`
6945 noexename=`$echo $name|${SED} 's,.exe$,,'`
6986 $echo "$modename: you must specify a MODE" 1>&2
6987 $echo "$generic_help" 1>&2
6993 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6994 $echo "$generic_help" 1>&2
7006 "") $echo \
7041 $echo \
7055 $echo \
7076 $echo \
7096 $echo \
7108 $echo \
7121 $echo \
7176 $echo \
7190 $echo "$modename: invalid operation mode \`$mode'" 1>&2
7191 $echo "$help" 1>&2
7196 $echo
7197 $echo "Try \`$modename --help' for more information about other modes."
7256 # An echo program that does not interpret backslashes.
7257 echo="echo"